<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="UTF-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>PPDB | Cetak Data Penyerahan Berkas</title>
	<link rel="icon" href="../../images/logo-smk.png" type="image/x-icon" />
</head>

<?php
$set =  $this->db->get("setting")->row();
?>

<body onload="window.print()">

	<style>
		table {
			border-collapse: collapse;
		}

	</style>

	<div style="width:800px; margin:auto; border:2px solid #000; padding:8px;">
		<table width="100%" border="0">
			<tr>
				<td width="15%" align="right"><img src="../../images/logo-smk.png" width="60"></td>
				<td>
					<div style="text-align:center"><b>FAKTUR PEMBAYARAN TES AKADEMIK DAN BTQ</b></div>
					<div style="text-align:center"><b>PENERIMAAN PESERTA DIDIK BARU (PPDB) TP.
							<?php echo $data->tahun_pelajaran ?> </b></div>
					<div style="text-align:center"><b><?php echo $set->sekolah ?></b></div>
					<div style="text-align:center"><small>Website : <?php echo $set->website ?> - Tlp./WA : <?php echo $set->tlp ?></small></div>
				</td>
				<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				</td>
				<!--<td width="15%"><canvas id="qr"></canvas></td>-->
			</tr>
		</table>

		<hr size="3px" color="#0000">


		<div style="width:750px; margin:auto; border:0px dashed; #000; padding:0px;">
			<table width="100%" border="0" cellspacing="0" cellpadding="2">
				<tr>
					<td width="35%">&nbsp;&nbsp;No. Pendaftaran</td>
					<td colspan="2" width="50%">:<b>&nbsp;&nbsp;<?php echo $data->no_pendaftaran ?></b></td>
					<td style="width: 19.885%;" align="right"><small><?= $data->gelombang ?></small></td>
				</tr>
				<tr>
					<td width="35%">&nbsp;&nbsp;Nama Lengkap</td>
					<td colspan="2" width="65%">:<b>&nbsp;&nbsp;<?php echo $data->nama_lengkap ?></b></td>
				</tr>
				<tr>
					<td width="35%">&nbsp;&nbsp;Jenis Kelamin</td>
					<td colspan="2" width="65%">:&nbsp;&nbsp;<?php echo $data->jkelamin ?></td>
				</tr>
				<tr>
					<td width="35%">&nbsp;&nbsp;Sekolah Asal</td>
					<td colspan="2" width="65%">:&nbsp;&nbsp;<?php echo $data->sekolah_asal ?></td>
				</tr>
				<tr>
					<td width="35%">&nbsp;&nbsp;Program Keahlian Yang Diminati</td>
					<td colspan="2" width="65%">:&nbsp;&nbsp;<?php echo $data->kompetensi ?></td>
				</tr>	
				<?php
// Contoh tanggal
$tanggal = $data->tgl_trans;

// Ubah format tanggal ke Y-m-d (format tanggal yang diterima oleh strtotime)
$tanggal_baru = date('Y-m-d', strtotime($tanggal));

// Array nama bulan dalam bahasa Indonesia
$nama_bulan = array(
    'Januari', 'Februari', 'Maret', 'April', 'Mei', 'Juni',
    'Juli', 'Agustus', 'September', 'Oktober', 'November', 'Desember'
);

// Ambil bulan dan tahun dari tanggal baru
$bulan = strftime('%m', strtotime($tanggal_baru)) - 1; // 0-11
$tahun = date('Y', strtotime($tanggal_baru));

// Format tanggal dengan nama bulan dalam bahasa Indonesia
$tanggal_format = date('d', strtotime($tanggal_baru)) . '-' . $nama_bulan[$bulan] . '-' . $tahun;

// echo $tanggal_format; // Output: misal 04-Desember-2024
?>

				<tr>
					<td width="35%">&nbsp;&nbsp;Tanggal Transaksi</td>
					<td colspan="2" width="65%">:&nbsp;&nbsp;<?php echo $tanggal_format ?></td>
				</tr>
				<tr>
					<td width="35%">&nbsp;&nbsp;<small>Biaya Tes</small></td>
					<td colspan="2" width="65%">:&nbsp;&nbsp;<small>Rp. <?php echo number_format($data->biaya, 0, ',', '.') ?>,-</small></td>
				</tr>

			</table>
		</div>
		<div style="width: 780px; padding: 10px; ">
			<table style="width: 100%;   font-size: 12px;  ">
				<tbody>
					<tr style="border-top: 1px solid black; border-bottom: 1px solid black; ">
						<td style="width: 19.9141%; ">
							<div style="text-align: center;"><b>FAKTUR</b></div>
						</td>
						<td style="width: 29.871%; ">
							<div style="text-align: center;"><b>U R A I A N</b></div>
						</td>
						<td style="width: 25%; ">
							<div style="text-align: center;"><b>DISKON*</b></div>
						</td>
						<td style="width: 24.9283%; ">
							<div style="text-align: center;"><b>JUMLAH</b></div>
						</td>
					</tr>
					<tr style=" border-bottom: 1px solid black;">
						<td style="width: 19.9141%; ">
                        <br>
							<div style="text-align: center;"><?= $data->no_trans ?></div>
                        <br>

						</td>
						<td style="width: 29.871%; ">
							<div style="text-align: center;">PEMBAYARAN TES AKADEMIK &amp; BTQ</div>
						</td>
						<td style="width: 25%; ">
							<table style="width: 100%;">
								<tbody>
									<tr>
                                    <td style="width: 37.7959%; ">
											<div style="text-align: center;">Rp.</div>
										</td>
										<td style="width: 61.6124%; ">
											<div style="text-align: center;"><?php
// Contoh angka diskon
$diskon = $data->diskon;

// Format angka ke dalam pecahan
$diskon_formatted = number_format($diskon, 0, ',', '.');

echo $diskon_formatted; // Output: misal 10.000
?>
</div>
										</td>
									</tr>
								</tbody>
							</table>
						</td>
						<td style="width: 24.9283%; ">
							<table style="width: 100%;">
								<tbody>
									<tr>
										<td style="width: 37.7959%; ">
											<div style="text-align: center;">Rp.</div>
										</td>
										<td style="width: 61.6124%; ">
											<div style="text-align: center;"><?php
// Contoh angka diskon
$diskon = $data->biaya - $data->diskon;

// Format angka ke dalam pecahan
$diskon_formatted = number_format($diskon, 0, ',', '.');

echo $diskon_formatted; // Output: misal 10.000
?>
</div>
										</td>
									</tr>
								</tbody>
							</table>
						</td>
					</tr>                   
					<tr>
						<td style="width: 19.9141%; ">
						<i><small>Ket. : *Ketentuan berlaku</small></i><br>
                        <br>
							
							<div style="text-align: center;">Pendaftar,</div>
                            <br><br>
							<p style="text-align: center;">( ..................... )</p>
						</td>
						<td style="width: 29.871%;  ">
                        <br>

							<div style="text-align: center;">Petugas,</div>
                            <br><br>


                        
                        <p
								style="text-align: center;">( <?= $data->operator ?> )</p>
						</td>
						<td style="width: 49.8567%; text-align: center; " colspan="2">
							<table style="width: 100%; border-collapse: collapse; ">
								<tbody>
									<tr>
										<td style="width: 49.8588%; ">
											<div style="text-align: right;"><b>TOTAL  :</b></div>
										</td>
										<td style="width: 18.0712%; "><b>Rp.</b></td>
										<td style="width: 29.5736%; "><b><b><?php 
// Contoh angka diskon
$diskon = $data->bayar;

// Format angka ke dalam pecahan
$diskon_formatted = number_format($diskon, 0, ',', '.');

echo $diskon_formatted; // Output: misal 10.000
?></b></td>
									</tr>
									<tr>
										<td style="width: 49.8588%; ">
											<div style="text-align: right;"><b>BAYAR  :</b></div>
										</td>
										<td style="width: 18.0712%; "><b>Rp.</b></td>
										<td style="width: 29.5736%; "><b><?php
// Contoh angka diskon
$diskon = $data->cash;

// Format angka ke dalam pecahan
$diskon_formatted = number_format($diskon, 0, ',', '.');

echo $diskon_formatted; // Output: misal 10.000
?></b></td>
									</tr>
									<tr style=" border-bottom: 1px solid black; ">
										<td style="width: 49.8588%; ">
											<div style="text-align: right;"><b>KEMBALI  :</b></div>
										</td>
										<td style="width: 18.0712%; "><b>Rp.</b></td>
										<td style="width: 29.5736%; "><b><?php
// Contoh angka diskon
$diskon = $data->kembali;

// Format angka ke dalam pecahan
$diskon_formatted = number_format($diskon, 0, ',', '.');

echo $diskon_formatted; // Output: misal 10.000
?></b></td>
									</tr>
								</tbody>
							</table>
						</td>
					</tr>
				</tbody>
			</table>
		</div>
		
		<div style="width: 600px; border: 1px solid; padding: 10px; margin: 5px auto; align-item: center;">
   <b style="align-item:center;"><center>JADWAL SOSIALISASI TES AKADEMIK, BTQ & WAWANCARA</center></b><br>
       <?php
       
       $jadwal = $this->db->get("jadwal_sosialisasi")->row();
       ?>
    <table style="width: 100%;">
    <?php
// Fungsi untuk mengonversi nama hari dalam bahasa Indonesia
function konversiHari($hariInggris) {
    switch ($hariInggris) {
        case 'Monday':
            return 'Senin';
            break;
        case 'Tuesday':
            return 'Selasa';
            break;
        case 'Wednesday':
            return 'Rabu';
            break;
        case 'Thursday':
            return 'Kamis';
            break;
        case 'Friday':
            return 'Jumat';
            break;
        case 'Saturday':
            return 'Sabtu';
            break;
        case 'Sunday':
            return 'Minggu';
            break;
        default:
            return '';
            break;
    }
}

function konversiBulan($bulanInggris) {
    switch ($bulanInggris) {
        case 'January':
            return 'Januari';
            break;
        case 'February':
            return 'Februari';
            break;
        case 'March':
            return 'Maret';
            break;
        case 'April':
            return 'April';
            break;
        case 'May':
            return 'Mei';
            break;
        case 'June':
            return 'Juni';
            break;
        case 'July':
            return 'Juli';
            break;
        case 'August':
            return 'Agustus';
            break;
        case 'September':
            return 'September';
            break;
        case 'October':
            return 'Oktober';
            break;
        case 'November':
            return 'November';
            break;
        case 'December':
            return 'Desember';
            break;
        default:
            return '';
            break;
    }
}

// Contoh tanggal dalam format Y-m-d (misal: '2024-04-02')
$tanggal = $jadwal->tanggal;

// Mendapatkan nama hari dalam bahasa Indonesia menggunakan fungsi konversiHari
$namaHari = konversiHari(date('l', strtotime($tanggal)));

// Mendapatkan nama bulan dalam bahasa Indonesia menggunakan fungsi konversiBulan
$namaBulan = konversiBulan(date('F', strtotime($tanggal)));

// Format tanggal ke dalam format "nama hari tanggal bulan tahun"
$tanggal_formatted = $namaHari . ', ' . date('d', strtotime($tanggal)) . ' ' . $namaBulan . ' ' . date('Y', strtotime($tanggal));

// echo $tanggal_formatted; 


?>

    <tbody>
        <tr>
            <td style="width: 33.3333%;">Hari/Tanggal Sosialisasi</td>
            <td style="width: 4.4189%;">:</td>
            <td style="width: 62.0567%;"><?= $tanggal_formatted ?><br></td>
        </tr>
        <tr>
            <td style="width: 33.3333%;">Waktu</td>
            <td style="width: 4.4189%;">:</td>
            <td style="width: 62.0567%;"><?= $jadwal->waktu ?><br></td>
        </tr>
        <tr>
            <td style="width: 33.3333%;">Tempat Sosialisasi</td>
            <td style="width: 4.4189%;">:</td>
            <td style="width: 62.0567%;"><?= $jadwal->tempat ?><br></td>
        </tr>
    </tbody>
</table>
</div>

		<div style="clear:both"></div>
	</div>

</body>

</html>
